## ros-kinetic-heron-control 0.3.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(heron_control)

find_package(catkin REQUIRED)

catkin_package()

install(DIRECTORY config launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(PROGRAMS scripts/vel_cov
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

if(CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(launch/control.launch)
endif()

=== debian/changelog ===
ros-kinetic-heron-control (0.3.4-1xenial) xenial; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 12 Feb 2021 05:00:00 -0000

ros-kinetic-heron-control (0.3.3-1xenial) xenial; urgency=high



 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 17 Sep 2020 04:00:00 -0000

ros-kinetic-heron-control (0.3.2-1xenial) xenial; urgency=high

  * [heron_control] Fixing missing dep and minor clean-up.
  * Contributors: Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 24 Jan 2020 05:00:00 -0000

ros-kinetic-heron-control (0.3.1-1xenial) xenial; urgency=high

  * Put in some missing dependencies and upgraded package.xml to format 2.0 (#5 <https://github.com/heron/heron/issues/5>)
  * Merge pull request #2 <https://github.com/heron/heron/issues/2> from Nirzvi1/kinetic-devel
    Added heron_control, changed heron_description to use with uuv_simulator
  * Merge branch 'kinetic-devel' into kinetic-devel
  * Fixing mistake from rebasing
  * Made global covariance accessible from navsat/fix callback
  * Allowed use of odometry yaw for simulation
  * Fixed name+email in copyright notices
  * Removed NWU->ENU swapping because it's only needed for simulation
  * Put covariance-adding script into heron_control pkg
  * Fixed robot_localization to expect TwistWithCovarianceStamped for navsat/vel
  * Added heron_control package (#1 <https://github.com/heron/heron/issues/1>)
    * Added heron_control package
    * Deleted unnecessary comments from CMakeLists.txt
    * Updated robot_localization.yaml
    Deleted unnecessary comments
    Set frequency to 20Hz (the default update frequency of the um6 IMU).
    * Edited package.xml and moved heron_controller node from heron_control
    * Updated package.xml description
  * Added navsat/vel to robot_localization.yaml
  * Removed initial slash to allow for namespace prefixing
  * Updated package.xml description
  * Edited package.xml and moved heron_controller node from heron_control
  * Updated robot_localization.yaml
    Deleted unnecessary comments
    Set frequency to 20Hz (the default update frequency of the um6 IMU).
  * Deleted unnecessary comments from CMakeLists.txt
  * Added functionality of GPS datum via env var
  * Merge pull request #3 <https://github.com/heron/heron/issues/3> from Nirzvi1/kinetic-devel-datum
    Added functionality of GPS datum via env var
  * Added functionality of GPS datum via env var
  * Added heron_control package (#1 <https://github.com/heron/heron/issues/1>)
    * Added heron_control package
    * Deleted unnecessary comments from CMakeLists.txt
    * Updated robot_localization.yaml
    Deleted unnecessary comments
    Set frequency to 20Hz (the default update frequency of the um6 IMU).
    * Edited package.xml and moved heron_controller node from heron_control
    * Updated package.xml description
  * Added heron_control package
  * Contributors: Guy Stoppi, Nirzvi1, Tony Baltovski

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 18 Apr 2019 04:00:00 -0000

=== debian/control ===
Source: ros-kinetic-heron-control
Section: misc
Priority: optional
Maintainer: Mike Purvis <mpurvis@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-roslaunch
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-heron-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-numpy, ros-kinetic-geometry-msgs, ros-kinetic-robot-localization, ros-kinetic-sensor-msgs
Description: Control package for Heron

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-heron-control//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
